interface RequestInterface

Methods

string
getPath()

Get the request path.

string
getMethod()

Get the request method.

array
getHeaders()

Get the request headers.

string
getBody()

Get the request body.

bool
isPipeline()

Determine whether the request uses pipelining.

bool
usesPipelineRead()

Determine whether the response is read incrementally.

Details

at line 12
string getPath()

Get the request path.

Return Value

string

at line 17
string getMethod()

Get the request method.

Return Value

string

at line 22
array getHeaders()

Get the request headers.

Return Value

array

at line 27
string getBody()

Get the request body.

Return Value

string

at line 32
bool isPipeline()

Determine whether the request uses pipelining.

Return Value

bool

at line 37
bool usesPipelineRead()

Determine whether the response is read incrementally.

Return Value

bool